---
schema_version: "1"
id: c6508c5788f6a2c1c34101c7e414af4bd88bfcd7aacef0500065767088ceece0
title: Return Headers Using sObject Quick Action Default Values by ID
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/platform/api-rest/guides/resources/resources-sobject-quickactions-default-values-id-head.md
canonical_url: https://developer.salesforce.com/docs/platform/api-rest/guide/resources-sobject-quickactions-default-values-id-head.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: 32918609a740c8e6966170511012e9b2773c99e8e4d934800c96fc45acddb2b6
products:
  - REST API Developer Guide
  - Platform Developer Content
---

# Return Headers Using sObject Quick Action Default Values by ID

Returns only the headers that are returned by sending a GET request to the sObject Quick Actions resource. This gives you a chance to see the header values before retrieving the content of the resource. This resource is available in REST API version 29.0 and later.

In API version 28.0, to evaluate the default values for an action, use `/services/data/vXX.X/sobjects/sObject/quickActions/action_name/defaultValues/parent_id`.

When working with actions, also refer to [Quick Actions](https://developer.salesforce.com/docs/platform/api-rest/guide/resources-quickactions.md).

## Syntax

**URI:** `/services/data/vXX.X/sobjects/sObject/quickActions/actionName/defaultValues/contextId`

**Formats:** JSON, XML

**HTTP Method:** HEAD

**Authentication:** `Authorization: Bearer token`

**Parameters:** None required

## Example

**Example Request**

```nolang
curl -X HEAD --head https://MyDomainName.my.salesforce.com/services/data/v68.0/sobjects/Account/quickActions/CreateContact/defaultValues/001D000000JRWBd -H "Authorization: Bearer token"
```

